% zadani
%========================================================================== 

ro = 180/pi;            %ro pro stupne
ros = (180*60*60)/pi;   %ro pro vteriny

roh = 12/pi;            %ro pro hodiny
rohs = (12*60*60)/pi;   %ro pro sekundy

rod=roh/24;             %ro pro dny



% Hvezdn cas S0 (tabulka II)
S0 = uhel2num([14 59 29.969])/roh;  % [h:m:s] -> [rad]

% zadan ... rok mesc den (bez t desetinn csti)
D = datenum([1997 5 7]);

% datum z tabulek - nejbizs drvejs datum nez je zadan datum 

hvezda = [ %cislo hvezdy
    407
    456
    203   
];

D0 = datenum([
    1997 5 1      % hvezha 1
    1997 5 1      % hvezha 2
    1997 5 1      % hvezha 3
]);    

% Souradnice hvezdy z apku pro D0
hvezda_tab_RA  = uhel2num([
    10 45 43.249          % h m s
    12 15 18.453 
    05 29 52.756
]) / roh; %prevod na [rad]
                
hvezda_tab_DEC = uhel2num([
    30 41 48.36   %  ' "
    57 02 59.25
    63 03 54.09
])/ro; %prevod na [rad]

 UTC = uhel2num([
     16 42 34.424 %cas hvezdy ze zadan [H:M:S]
     16 53 16.016
     16 55 06.723
 ])/roh; %prevod na [rad]
              
% Diference pro interpolace (jiz upraven na sprvn jednotky):
diference_RA  = [
    -0.143 -0.154 -0.156       % sekundy
    -0.164 -0.210 -0.243
    -0.247 -0.166 -0.074
] / rohs; %prevod na [rad]

diference_DEC = [
    1.28  1.12  0.90        % vteriny
    2.46  2.19  1.83
   -1.74 -1.98 -2.11
] / ros; %prevod na [rad]

% Hodnoty dole v apku pod souradnicemi hvezdy
dalfa_dpsi =[ 
    0.066  %[s]    (napr. 0.033 = +33 * 0.001s)
    0.058
    0.113
] / rohs; %prevod na [rad]

ddelta_dpsi =[
    -0.38
    -0.40
     0.05
] / ros; %prevod na [rad]

dalfa_deps =[ 
    0.038
    0.103
   -0.017
] / rohs; %prevod na [rad]

ddelta_deps =[
    0.32
   -0.07
    0.99
] / ros; %prevod na [rad]


% Hodnoty nalezen na konci knihy pro zadan datum (tabulka I)
dpsi = -0.152 / ros;  %['']    (napr. 0.033 = +33 * 0.001")
deps = -0.007 / ros;  %['']    (napr. 0.076 = +76 * 0.001")
